Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class Version28Upgrader.MigratedBuild

    java.lang.Object
      com.atlassian.bamboo.upgrader.Version28Upgrader.MigratedBuild

Enclosing class:
  Version28Upgrader

    public class Version28Upgrader.MigratedBuild

extends Object

Field Summary
`String` | `builderKey`
`Map` | `builderParams`
`Map` | `myArtifacts`
`Set` | `myBuildDependencies`
`List` | `myBuildResultSummaries`
`BuildStrategy` | `myBuildStrategy`
`String` | `myEmailAddressees`
`EmailStrategy` | `myEmailStrategy`
`String` | `myExportStatusStyle`
`int` | `myId`
`String` | `myKey`
`Date` | `myLastBuildStartTime`
`String` | `myName`
`int` | `myPollingPeriod`
`Repository` | `myRepository`
`XmppMessageSender` | `myXmppMessageSender`

Constructor Summary
`Version28Upgrader.MigratedBuild()`

Method Summary
`void` | `setBuilderKey(String builderKey)`
`void` | `setBuilderParams(Map builderParams)`
`void` | `setMyArtifacts(Map myArtifacts)`
`void` | `setMyBuildDependencies(Set myBuildDependencies)`
`void` | `setMyBuildResultSummaries(List myBuildResultSummaries)`
`void` | `setMyBuildStrategy(BuildStrategy myBuildStrategy)`
`void` | `setMyEmailAddressees(String myEmailAddressees)`
`void` | `setMyEmailStrategy(EmailStrategy myEmailStrategy)`
`void` | `setMyExportStatusStyle(String myExportStatusStyle)`
`void` | `setMyId(int myId)`
`void` | `setMyKey(String myKey)`
`void` | `setMyLastBuildStartTime(Date myLastBuildStartTime)`
`void` | `setMyName(String myName)`
`void` | `setMyPollingPeriod(int myPollingPeriod)`
`void` | `setMyRepository(Repository myRepository)`
`void` | `setMyXmppMessageSender(XmppMessageSender myXmppMessageSender)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myId

    public int myId

### myName

    public String myName

### myKey

    public String myKey

### myBuildDependencies

    public Set myBuildDependencies

### myRepository

    public Repository myRepository

### myEmailAddressees

    public String myEmailAddressees

### myBuildStrategy

    public BuildStrategy myBuildStrategy

### myEmailStrategy

    public EmailStrategy myEmailStrategy

### myBuildResultSummaries

    public List myBuildResultSummaries

### myLastBuildStartTime

    public Date myLastBuildStartTime

### myPollingPeriod

    public int myPollingPeriod

### myXmppMessageSender

    public XmppMessageSender myXmppMessageSender

### myArtifacts

    public Map myArtifacts

### myExportStatusStyle

    public String myExportStatusStyle

### builderParams

    public Map builderParams

### builderKey

    public String builderKey

Constructor Detail

### Version28Upgrader.MigratedBuild

    public Version28Upgrader.MigratedBuild()

Method Detail

### setMyId

    public void setMyId(int myId)

### setMyName

    public void setMyName(String myName)

### setMyKey

    public void setMyKey(String myKey)

### setMyBuildDependencies

    public void setMyBuildDependencies(Set myBuildDependencies)

### setMyRepository

    public void setMyRepository(Repository myRepository)

### setMyEmailAddressees

    public void setMyEmailAddressees(String myEmailAddressees)

### setMyBuildStrategy

    public void setMyBuildStrategy(BuildStrategy myBuildStrategy)

### setMyEmailStrategy

    public void setMyEmailStrategy(EmailStrategy myEmailStrategy)

### setMyBuildResultSummaries

    public void setMyBuildResultSummaries(List myBuildResultSummaries)

### setMyLastBuildStartTime

    public void setMyLastBuildStartTime(Date myLastBuildStartTime)

### setMyPollingPeriod

    public void setMyPollingPeriod(int myPollingPeriod)

### setMyXmppMessageSender

    public void setMyXmppMessageSender(XmppMessageSender myXmppMessageSender)

### setMyArtifacts

    public void setMyArtifacts(Map myArtifacts)

### setMyExportStatusStyle

    public void setMyExportStatusStyle(String myExportStatusStyle)

### setBuilderParams

    public void setBuilderParams(Map builderParams)

### setBuilderKey

    public void setBuilderKey(String builderKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.